
const byte TempSensorPin = 0;
float CurrentTemperature = 0;
unsigned long LastPlotTime = 0;


void setup() 
{
  Serial.begin(9600);
}

void loop() 
{

  if((millis()-LastPlotTime)>1000)
  {
    LastPlotTime = millis(); //Save time for 1s logging

    CurrentTemperature = analogRead(TempSensorPin)*(float)40/(float)1023; //reads 0-1023V -> 0-40degC

    PlotKitchenTemperature(CurrentTemperature);    
  }

}

void PlotKitchenTemperature(float data)
{
  Serial.print("{TIMEPLOT:Temperatures|data|Kitchen|T|");
  Serial.print(data);
  Serial.println("}");
}
